[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBrush.Reference

Contains a Reference to the handle allocated for the Brush.

## Declaration

Source position: graphics.pp line 737

`public property TBrush.Reference : TWSBrushReference read GetReference;`

## Description

Reference is a read-only TWSBrushReference property which contains a reference to the widgetset class used for the brush instance. It provides access to the Handle allocated for the brush resource, and is used in methods that need access to an existing brush handle.

Resources for the property are allocated (when needed) and initialized by calling the ReferenceNeeded method. The resources are freed in the FreeReference method.

## See also

TBrush.Handle |  | Operating System handle for the brush.